summaryrefslogtreecommitdiffstats
path: root/startkde
diff options
context:
space:
mode:
Diffstat (limited to 'startkde')
-rw-r--r--startkde52
1 files changed, 26 insertions, 26 deletions
diff --git a/startkde b/startkde
index b5ade2ade..b5ed688b4 100644
--- a/startkde
+++ b/startkde
@@ -3,15 +3,15 @@
# DEFAULT TRINITY STARTUP SCRIPT ( KDE-3.5.12 )
#
-echo "[startkde] Starting startkde." 1>&2
+echo "[starttde] Starting starttde." 1>&2
# When the X server dies we get a HUP signal from xinit. We must ignore it
# because we still need to do some cleanup.
-trap '[startkde] echo GOT SIGHUP' HUP
+trap '[starttde] echo GOT SIGHUP' HUP
# Check if a KDE session is already running.
if kcheckrunning >/dev/null 2>&1; then
- echo "[startkde] KDE seems to be already running on this display."
+ echo "[starttde] KDE seems to be already running on this display."
xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
exit 1
fi
@@ -71,18 +71,18 @@ fi
# $HOME/.kde as their preferred profile location for Trinity KDE.
if [ -n "$KDEHOME" ]; then
- echo "[startkde] KDEHOME is preset to $KDEHOME." 1>&2
+ echo "[starttde] KDEHOME is preset to $KDEHOME." 1>&2
export KDEHOME=$KDEHOME
else
# $KDEHOME is NOT already preset in the environment. Try to help.
# This might be overkill but does provide flexibility.
- echo "[startkde] KDEHOME is not set." 1>&2
+ echo "[starttde] KDEHOME is not set." 1>&2
if [ -d $HOME/.trinity ]; then
# OK, this one is obvious.
export KDEHOME=$HOME/.trinity
elif [ -d $HOME/.trinity ]; then
# Looks like the user had an old version of Trinity installed at last login
- echo "[startkde] Migrating old ~/.trinity directory to new ~/.trinity name." 1>&2
+ echo "[starttde] Migrating old ~/.trinity directory to new ~/.trinity name." 1>&2
mv $HOME/.trinity $HOME/.trinity
export KDEHOME=$HOME/.trinity
elif [ -f /usr/bin/kde4-config ]; then
@@ -107,12 +107,12 @@ else
# Resort to this and hope for the best!
export KDEHOME=$HOME/.trinity
fi
- echo "[startkde] Set KDEHOME to $KDEHOME." 1>&2
+ echo "[starttde] Set KDEHOME to $KDEHOME." 1>&2
fi
# Run a quick test for root.
if [ -z "$KDEROOTHOME" ] && [ "$UID" = "0" ]; then
- echo "[startkde] User ID is $UID. Setting KDEROOTHOME to $KDEHOME."
+ echo "[starttde] User ID is $UID. Setting KDEROOTHOME to $KDEHOME."
export KDEROOTHOME=$KDEHOME
fi
@@ -163,7 +163,7 @@ if [ -d /opt/trinity ]; then
fi
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME" | sed "s,^~/,$HOME/,"`
-echo "[startkde] kdehome: $kdehome" 1>&2
+echo "[starttde] kdehome: $kdehome" 1>&2
# Allow interested applications, such as the Plasma control wrapper,
# to know that this is a Trinity desktop and not a KDE one.
@@ -387,8 +387,8 @@ if [ ! -n "$KDEDIR" ]; then
export KDEDIR=`echo "$KDEDIRS" | sed -e 's/:.*//'`
fi
-echo "[startkde] KDEDIR: $KDEDIR" 1>&2
-echo "[startkde] KDEDIRS: $KDEDIRS" 1>&2
+echo "[starttde] KDEDIR: $KDEDIR" 1>&2
+echo "[starttde] KDEDIRS: $KDEDIRS" 1>&2
if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'`
@@ -401,9 +401,9 @@ fi
if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'`
- echo "[startkde] kdedirs_first: $kdedirs_first"
+ echo "[starttde] kdedirs_first: $kdedirs_first"
if [ -r $kdedirs_first/share/kgtk/preload ]; then
- echo "[startkde] Reading from $kdedirs_first/share/kgtk/preload"
+ echo "[starttde] Reading from $kdedirs_first/share/kgtk/preload"
read -r KGTK_PRELOAD < $kdedirs_first/share/kgtk/preload
fi
else
@@ -464,7 +464,7 @@ fi
# environment variables.
for resource in tmp cache socket; do
if ! lnusertemp $resource >/dev/null; then
- echo "[startkde] Call to lnusertemp failed (temporary directories full?). Check your installation." 1>&2
+ echo "[starttde] Call to lnusertemp failed (temporary directories full?). Check your installation." 1>&2
xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
exit 1
fi
@@ -473,7 +473,7 @@ done
# In case of dcop sockets left by a previous session, cleanup.
dcopserver_shutdown
-echo '[startkde] Starting Trinity...' 1>&2
+echo '[starttde] Starting Trinity...' 1>&2
# Detect any running Xorg composition managers
$KDEDIR/bin/kdetcompmgr
@@ -481,10 +481,10 @@ $KDEDIR/bin/kdetcompmgr
# Run KPersonalizer before the session if this is the first login.
if test "$kpersonalizerrc_general_firstlogin" = "true"; then
if [ ! -x $KDEDIR/bin/kpersonalizer ]; then
- echo "[startkde] kpersonalizer not found! Please install it in order to properly configure your user profile." 1>&2
+ echo "[starttde] kpersonalizer not found! Please install it in order to properly configure your user profile." 1>&2
else
# start only dcopserver, don't start whole tdeinit (takes too long)
- echo "[startkde] Running kpersonalizer..." 1>&2
+ echo "[starttde] Running kpersonalizer..." 1>&2
dcopserver
twin --lock &
kpersonalizer --before-session
@@ -541,20 +541,20 @@ fi
TDE_FULL_SESSION=true
export TDE_FULL_SESSION
xprop -root -f TDE_FULL_SESSION 8t -set TDE_FULL_SESSION true
-echo "[startkde] TDE_FULL_SESSION: $TDE_FULL_SESSION" 1>&2
+echo "[starttde] TDE_FULL_SESSION: $TDE_FULL_SESSION" 1>&2
KDE_SESSION_UID=$UID
export KDE_SESSION_UID
-echo "[startkde] KDE_SESSION_UID: $KDE_SESSION_UID" 1>&2
+echo "[starttde] KDE_SESSION_UID: $KDE_SESSION_UID" 1>&2
# We set LD_BIND_NOW to increase the efficiency of tdeinit.
# tdeinit unsets this variable before loading applications.
LD_BIND_NOW=true start_tdeinit_wrapper --new-startup +kcminit_startup
if test $? -ne 0; then
# Startup error
- echo '[startkde] Could not start tdeinit. Check your installation.' 1>&2
+ echo '[starttde] Could not start tdeinit. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start tdeinit. Check your installation."
fi
-echo "[startkde] tdeinit started successfully." 1>&2
+echo "[starttde] tdeinit started successfully." 1>&2
# If the session should be locked from the start (locked autologin),
# lock now and do the rest of the KDE startup underneath the locker.
@@ -579,7 +579,7 @@ test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
kwrapper ksmserver $KDEWM
if test $? -eq 255; then
# Startup error
- echo '[startkde] Could not start ksmserver. Check your installation.' 1>&2
+ echo '[starttde] Could not start ksmserver. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
fi
@@ -588,7 +588,7 @@ while dcop | grep -q ^drkonqi- ; do
sleep 5
done
-echo '[startkde] Shutting down Trinity...' 1>&2
+echo '[starttde] Shutting down Trinity...' 1>&2
# Clean up
tdeinit_shutdown
@@ -599,13 +599,13 @@ if [ -f /usr/bin/tdeinit4_shutdown ]; then
kde4 tdeinit4_shutdown 2>/dev/null
fi
-echo '[startkde] Running Trinity shutdown scripts...' 1>&2
+echo '[starttde] Running Trinity shutdown scripts...' 1>&2
# Run scripts found in $KDEDIRS/shutdown
for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
if [ -x "${prefix}${file}" ]; then
- echo "[startkde] Running ${prefix}${file}." 1>&2
+ echo "[starttde] Running ${prefix}${file}." 1>&2
sh ${prefix}${file}
fi
done
@@ -616,4 +616,4 @@ xprop -root -remove TDE_FULL_SESSION
unset KDE_SESSION_UID
# Initialize_Status_Header
-echo "[startkde] Trinity shutdown complete." 1>&2
+echo "[starttde] Trinity shutdown complete." 1>&2